exclude: ^(docs|.*test_files|cmd_line|tasks.py)

ci:
  autoupdate_schedule: monthly
  skip: [mypy, pylint, codespell, pydocstyle]

repos:
  - repo: https://github.com/PyCQA/autoflake
    rev: v1.6.1
    hooks:
      - id: autoflake

  - repo: https://github.com/asottile/pyupgrade
    rev: v2.38.2
    hooks:
      - id: pyupgrade
        args: [--py38-plus]

  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: check-yaml
        exclude: pymatgen/analysis/vesta_cutoffs.yaml
      - id: end-of-file-fixer
      - id: trailing-whitespace

  - repo: https://github.com/PyCQA/isort
    rev: 5.10.1
    hooks:
      - id: isort
        args: [--profile, black]

  - repo: https://github.com/psf/black
    rev: 22.8.0
    hooks:
      - id: black

  - repo: https://github.com/PyCQA/flake8
    rev: 5.0.4
    hooks:
      - id: flake8
        additional_dependencies: [flake8-bugbear]

  - repo: https://github.com/pre-commit/mirrors-mypy
    rev: v0.982
    hooks:
      - id: mypy

  - repo: local
    hooks:
      - id: pylint
        name: pylint
        entry: pylint
        language: python
        types: [python]
        args: [-sn, --rcfile=pylintrc]
        additional_dependencies: [pylint]

  - repo: https://github.com/codespell-project/codespell
    rev: v2.2.1
    hooks:
      - id: codespell
        stages: [commit, commit-msg]
        exclude_types: [html]
        args: [--ignore-words-list, 'titel,titels,reson,rute,pres,kno']

  - repo: https://github.com/PyCQA/pydocstyle
    rev: 6.1.1
    hooks:
      - id: pydocstyle
        exclude: tests
